<div {{ attributes|add_class("usa-language-container") }}>
  {% if items|length >= 3 %}
    <ul class="usa-language__primary usa-accordion">
      <li class="usa-language__primary-item">
        {{ {"@component": "button", "attributes": {"class": ["usa-language__link"], "aria-expanded": "false", "aria-controls": "language-options"}, "label": language_label|default("Language") } }}
        <ul id="language-options" class="usa-language__submenu" hidden="">
          {% for item in items %}
            <li class="usa-language__submenu-item">
              <a href="{{ item.url }}">
                {% set attributes = attributes|set_attribute("xml:lang", attributes.lang) if attributes.lang else attributes %}
                <span {{ attributes }}>{{ item.label }}</span>
              </a>
            </li>
          {% endfor %}
        </ul>
      </li>
    </ul>
  {% else %}
    {% for item in items %}
      <a href="{{ item.url }}" class="usa-button" role="button">
        {% set attributes = attributes|set_attribute("xml:lang", attributes.lang) if attributes.lang else attributes %}
        <span {{ attributes }}>{{ item.label }}</span>
      </a>
    {% endfor %}
  {% endif %}
</div>
